<template lang="pug">
q-layout(view="lHh LpR lfr" container)
	the-main-header(v-model:mainNavigationHandler="showMainNavigation", v-model:pageNavigationHandler="showPageNavigation")

	the-main-navigation(v-model:handler="showMainNavigation")

	the-page-navigation(v-model:handler="showPageNavigation")

	q-page-container
		q-page.q-px-md
			router-view(v-slot="{ Component, route }")
				transition(name="fade" mode="out-in")
					component(:is="Component", :key="route.path")

</template>

<script>
	import { ref, computed } from 'vue'
	import TheMainHeader from '@/components/layouts/TheMainHeader.vue'
	import TheMainNavigation from '@/components/layouts/TheMainNavigation.vue'
	import ThePageNavigation from '@/components/layouts/ThePageNavigation.vue'

	export default {
		setup() {
			return {
				showMainNavigation: ref(false),
				showPageNavigation: ref(false),

				write(e) {
					console.info(e)
				},
			}
		},

		components: {
			TheMainHeader,
			TheMainNavigation,
			ThePageNavigation,
		},
	}
</script>

<!--<script lang="ts" setup>
	import { ref } from 'vue'
	import TheMainHeader from '@/components/layouts/TheMainHeader.vue'
	import TheMainNavigation from '@/components/layouts/TheMainNavigation.vue'

	const showNavigationPanel = ref(false);
</script>-->

<style lang="scss" scoped>
	.q-layout-container {
		height: 100%;
	}
</style>
